### Method

# Ide Toolchain set_id

#### Declaration

    void
    ide_toolchain_set_id (
      IdeToolchain* self,
      const gchar* id
    )

#### Description

Sets the internal identifier of the toolchain.

Available since: | 3.32

Sets property | `Ide.Toolchain:id`

#### Parameters

`id` | `const gchar*`
| The unique identifier.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.